Bug 520489 - RFE: Change what groupremove, removes for pkgs in multiple groups.
Summary: RFE: Change what groupremove, removes for pkgs in multiple groups.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 505350 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 18:23 UTC by Derkjan de Haan
Modified: 2014-01-21 23:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 13:41:34 UTC


Attachments (Terms of Use)

Description Derkjan de Haan 2009-08-31 18:23:45 UTC
Description of problem:

I just messed up my F11 install by using the 'yum groupremove' command. Apparently it removes packages which also belong to other installed groups, rendering these groups incomplete and programs not working.

Version-Release number of selected component (if applicable):

F11, up to date with patches

Expected results:

As to not needlessly surprise and inconvene the user, let 'yum groupremove' skip (not remove) packages that belong to other installed groups, and make the current behavior optional by creating an command-line or setup-file option.

Additional info:

Comment 1 Derkjan de Haan 2009-08-31 18:28:38 UTC
Forgot to mention: I have read the other bug reports regarding this issue, so I'm sure the last word hasn't been said about this. However IMHO the work-around I'm proposing would at least alleviate the problem quite a bit.

Comment 2 seth vidal 2009-09-17 14:38:26 UTC
*** Bug 505350 has been marked as a duplicate of this bug. ***

Comment 3 Bug Zapper 2010-04-28 10:06:25 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 James Antill 2010-04-28 13:41:34 UTC
In the latest upstream yum we added: 

              groupremove_leaf_only Either ‘0’ or ‘1’. Used to determine yum’s
              behaviour when the groupremove  command  is  run.   If  groupre-
              move_leaf_only  is  ‘0’ (default) then all packages in the group
              will be removed.  If  groupremove_leaf_only  is  ‘1’  then  only
              those  packages  in  the  group  that aren’t required by another
              package will be removed.

...which isn't exactly what you suggested, but I think will make you happy.


Note You need to log in before you can comment on or make changes to this bug.